import { RouteInfo } from './sidebar.metadata';

export const ROUTES: RouteInfo[] = [
  {
    path: 'dashboard',
    title: 'DASHBOARD',
    icon: 'layers',
    class: '',
    groupTitle: false,
    claims: ['DASHBOARD_VIEW_DASHBOARD'],
    submenu: [],
  },
  {
    path: '',
    title: 'ASSIGNED_DOCUMENTS',
    icon: 'list',
    class: '',
    groupTitle: false,
    claims: [],
    submenu: [],
  },
  {
    path: 'documents',
    title: 'ALL_DOCUMENTS',
    icon: 'file-text',
    class: '',
    groupTitle: false,
    claims: ['ALL_DOCUMENTS_VIEW_DOCUMENTS'],
    submenu: [],
  },
  {
    path: 'documents/deep-search',
    title: 'DEEP_SEARCH',
    icon: 'zoom-in',
    class: '',
    groupTitle: false,
    claims: ['DEEP_SEARCH_DEEP_SEARCH'],
    submenu: [],
  },
  {
    path: 'categories',
    title: 'DOCUMENT_CATEGORIES',
    icon: 'file',
    class: '',
    groupTitle: false,
    claims: ['DOCUMENT_CATEGORY_MANAGE_DOCUMENT_CATEGORY'],
    submenu: [],
  },
  {
    path: 'document-audit-trails',
    title: 'DOCUMENTS_AUDIT_TRAIL',
    icon: 'activity',
    class: '',
    groupTitle: false,
    claims: ['DOCUMENT_AUDIT_TRAIL_VIEW_DOCUMENT_AUDIT_TRAIL'],
    submenu: [],
  },
  {
    path: 'archived-documents',
    title: 'ARCHIVED_DOCUMENTS',
    icon: 'archive',
    class: '',
    groupTitle: false,
    claims: ['ARCHIVE_DOCUMENT_VIEW_DOCUMENTS'],
    submenu: [],
  },
  {
    path: 'roles',
    title: 'ROLES',
    icon: 'users',
    class: '',
    groupTitle: false,
    claims: ['ROLE_VIEW_ROLES'],
    submenu: [],
  },
  {
    path: 'users',
    title: 'USERS',
    icon: 'user',
    class: '',
    groupTitle: false,
    claims: ['USER_VIEW_USERS'],
    submenu: [],
  },
  {
    path: 'roles/users',
    title: 'ROLE_USER',
    icon: 'user-check',
    class: '',
    groupTitle: false,
    claims: ['USER_ASSIGN_USER_ROLE'],
    submenu: [],
  },
  {
    path: 'reminders',
    title: 'REMINDER',
    icon: 'bell',
    class: '',
    groupTitle: false,
    claims: ['REMINDER_VIEW_REMINDERS'],
    submenu: [],
  },
  {
    path: 'login-audit',
    title: 'LOGIN_AUDITS',
    icon: 'log-in',
    class: '',
    groupTitle: false,
    claims: ['LOGIN_AUDIT_VIEW_LOGIN_AUDIT_LOGS'],
    submenu: [],
  },
  {
    path: '',
    title: 'SETTINGS',
    icon: 'settings',
    class: 'menu-toggle',
    groupTitle: false,
    claims: [
      'EMAIL_MANAGE_SMTP_SETTINGS',
      'SETTING_MANAGE_PROFILE',
      'SETTING_MANAGE_LANGUAGE',
      'SETTINGS_STORAGE_SETTINGS',
      'PAGE_HELPER_MANAGE_PAGE_HELPER'
    ],
    submenu: [
      {
        path: 'email-smtp',
        title: 'SMTP_SETTING',
        icon: 'mail',
        class: 'ml-menu',
        groupTitle: false,
        claims: ['EMAIL_MANAGE_SMTP_SETTINGS'],
        submenu: [],
      },
      {
        path: 'company-profile',
        title: 'COMPANY_PROFILE',
        icon: 'mail',
        class: 'ml-menu',
        groupTitle: false,
        claims: ['SETTING_MANAGE_PROFILE', 'SETTINGS_STORAGE_SETTINGS'],
        submenu: [],
      },
      {
        path: 'languages',
        title: 'LANGUAGES',
        icon: '',
        class: 'ml-menu',
        groupTitle: false,
        submenu: [],
        claims: ['SETTING_MANAGE_LANGUAGE'],
      },
      {
        path: 'page-helper',
        title: 'PAGE_HELPER',
        icon: '',
        class: 'ml-menu',
        groupTitle: false,
        submenu: [],
        claims: ['PAGE_HELPER_MANAGE_PAGE_HELPER'],
      },
    ],
  },
];
